﻿using Microsoft.EntityFrameworkCore;

namespace DamageAssesment.Api.Responses.Db
{
    public class SurveyResponseDbContext:DbContext
    {
        private IConfiguration _Configuration { get; set; }
        public SurveyResponseDbContext(DbContextOptions options, IConfiguration configuration) : base(options)
        {
            _Configuration = configuration;
        }
        protected override void OnConfiguring(DbContextOptionsBuilder options)
        {
            // connect to sql server with connection string from app settings
            options.UseSqlServer(_Configuration.GetConnectionString("ResponsesConnection"));
        }
        public DbSet<Db.SurveyResponse> SurveyResponses { get; set; }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            base.OnModelCreating(modelBuilder);
            modelBuilder.Entity<SurveyResponse>()
                .Property(item => item.Id)
                .ValueGeneratedOnAdd();
        }
    }
}
